wtorek, 24 maja 2016

Niedziałający KWallet 5.22.0-2

Wczoraj w repozytoriach pojawiła się wersja 5.22.0-2 frameworka służącego zarządzaniem portfelem w Plasma 5. Wersja ta zawiera patch na jeden z błędów wykrytych w tej paczce. Problem w tym, że po aktualizacji, portfel (kwallet) nie rozpoznaje hasła.
Możliwości uporania się z tym błędem jest kilka:

  • cofnąć paczkę do wersji 5.22.0-1 (jeśli mamy downgrade, to downgrade kwallet),
  • ponoć, bowiem tego nie wypróbowałem - skasowanie portfela i utworzenie go na nowo,
  • przebudowanie paczki lokalnie.
Ja zrobiłem to ostatnie i z tego co wiem, u kilku osób to działa. Zatem możecie spróbować.
$ yaourt -G kwallet && cd kwallet && updpkgsums && makepkg -sirc
Nie wiem dlaczego sumy kontrolne są inne niż w PKGBUILDzie arojasa, stąd wymagana jest aktualizacja.
Po zbudowaniu paczki konieczne jest przelogowanie Plasmy.

EDIT:
Wczoraj wieczorem udostępniona została paczka kwallet-5.22.0-3, która naprawia błąd.